RDCode: Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing >= using a particular value (and an optional tolerance) More...

`#include <GreaterEqualQuery.h>`

Inheritance diagram for Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

List of all members.

## Public Member Functions
| GreaterEqualQuery ()
| GreaterEqualQuery (DataFuncArgType what)
| constructs with our target value
| GreaterEqualQuery (DataFuncArgType v, DataFuncArgType t)
| constructs with our target value and a tolerance
bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument
Query < MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query

## Detailed Description

### template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing >= using a particular value (and an optional tolerance)

Definition at line 16 of file GreaterEqualQuery.h.

## Constructor & Destructor Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery | ( |  | ) | `[inline]`

Definition at line 20 of file GreaterEqualQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery | ( | DataFuncArgType | what | ) | `[inline, explicit]`

constructs with our target value

Definition at line 22 of file GreaterEqualQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery | ( | DataFuncArgType | v,
|  | DataFuncArgType | t |
| ) |  |  | `[inline]`

constructs with our target value and a tolerance

Definition at line 28 of file GreaterEqualQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

## Member Function Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const`[inline, virtual]`

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 35 of file GreaterEqualQuery.h.

References Queries::queryCmp(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::TypeConvert().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query<MatchFuncArgType,DataFuncArgType,needsConversion>* Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const`[inline, virtual]`

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 46 of file GreaterEqualQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation(), Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol(), and Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setVal().

The documentation for this class was generated from the following file:

- GreaterEqualQuery.h